Developers

Update project

PATCH
/project/projects/{id}

Update project

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

Project identifier

Request Body

The updated Project resource

TypeScript Definitions

Use the request body type in TypeScript.

name?string
Lengthlength <= 100
no?|
Lengthlength <= 50
numbering?|
Formatuuid
description?|
Lengthlength <= 100000
contractors?array<>
dateStartPlanned?string
Formatdate-time
dateEndPlanned?string
Formatdate-time
dateStart?string
Formatdate-time
dateEnd?string
Formatdate-time
category?|
Formatuuid
tags?array<>|null
isBlameableRemovalEnabled?boolean
Defaultfalse
budget?number
Formatfloat
customFieldValues?array<>

Response Body

curl -X PATCH "https://example.com/project/projects/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "no": "string",  "numbering": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "pattern": "string",    "counterPadLength": 0,    "counterNextValue": 0,    "counterInterval": "P1M",    "isDefault": true  },  "description": "string",  "name": "string",  "category": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string"  },  "dateStart": "2019-08-24T14:15:22Z",  "dateEnd": "2019-08-24T14:15:22Z",  "dateStartPlanned": "2019-08-24T14:15:22Z",  "dateEndPlanned": "2019-08-24T14:15:22Z",  "assignedProjectUsersPm": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "projectUser": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "shortCode": "string",        "firstName": "string",        "lastName": "string",        "email": "string",        "pictureSm": "string",        "pictureLg": "string",        "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",        "contractorName": "string",        "canLogIn": true,        "phoneNumber": "string",        "jobPositionName": "string",        "hourlyRate": null,        "isExternal": true,        "decorator": "string"      },      "role": "none",      "hourlyRate": null,      "canReportTime": true    }  ],  "isBlameableRemovalEnabled": false,  "status": "in-preparation",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "shortCode": "string",  "isSimple": false,  "simpleBoardShortCode": "string",  "simpleBoardId": "26a73ca2-967e-4906-8e94-e5265bcdc516",  "contractors": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    }  ],  "budget": null,  "tags": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    }  ],  "isFavorite": false,  "userRole": "none",  "userPermissions": [    "canManage"  ],  "stageCount": null,  "progress": null,  "timeReported": null,  "timePlanned": null}